Bug 10176 - /etc/csh.login ignored on non-shell ssh connections
Summary: /etc/csh.login ignored on non-shell ssh connections
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-14 23:27 UTC by Philip Hirschhorn
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2000-03-15 01:04:43 UTC


Attachments (Terms of Use)

Description Philip Hirschhorn 2000-03-14 23:27:00 UTC
RedHat 6.1 has setup-2.0.5, which includes an /etc/csh.login file but no
/etc/csh.cshrc file.  (RedHat 6.0's setup-2.0.2 contained an /etc/csh.cshrc
file that's almost identical to 6.1's /etc/csh.login.)

If I connect to a 6.1 machine and actually get a login prompt, the
/etc/csh.login file is executed, but: If I connect using ssh to execute a
single command, as in

  ssh redhat6.1-machinename command-to-execute

then the /etc/csh.login file is *not* executed (and, thus, the path is not
as expected).  This is true whether I use ssh1 or ssh2.  (Alas, I don't
know enough about ssh or about which scripts are executed when to know how
ssh the connections differ.)

Comment 1 Bill Nottingham 2000-03-15 01:04:59 UTC
This is fixed in later setup packages.


Note You need to log in before you can comment on or make changes to this bug.